/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/

package org.activemq.filter;

import org.activemq.selector.SelectorParser;

import javax.jms.Destination;
import javax.jms.JMSException;

/**
 * A default implementation
 * 
 * @version $Revision: 1.1.1.1 $
 */
public class FilterFactoryImpl implements FilterFactory {

    public Filter createFilter(Destination destination, String selector) throws JMSException {
        Filter destinationFilter = DestinationFilter.parseFilter(destination);
        if (selector != null && selector.trim().length() > 0) {
            Filter selectorFilter = new SelectorParser().parse(selector);
            if (selectorFilter != null) {
                return new AndFilter(destinationFilter, selectorFilter);
            }
        }
        return destinationFilter;
    }

}
